Actualización de Plesk MySQL 5.1 a la versión 5.5 en Linux

Created:

2016-11-16 12:45:09 UTC

Modified:

2017-07-25 08:04:28 UTC

14

Was this article helpful?


Have more questions?

Enviar una solicitud

Actualización de Plesk MySQL 5.1 a la versión 5.5 en Linux

Aplicable a:

  • Plesk 12.5 para Linux
  • Plesk Onyx para Linux
  • Plesk 11.0 para Linux
  • Plesk 11.5 para Linux
  • Plesk 12.0 para Linux

Consulta

¿Cómo puedo actualizar un servidor MySQL de la versión 5.1 a la versión 5.5 en Linux?

Respuesta

Plesk Autoinstaller obtiene paquetes desde los repositorios base del sistema operativo.

Si en el repositorio base no se muestra MySQL 5.5, este no estará disponible para Plesk Autoinstaller.

En este caso, para actualizar MySQL a la versión 5.5 será necesario configurar un repositorio de terceros.

En el caso de sistemas CentOS/RHEL/CloudLinux puede usarse el repositorio de Atomic:

# wget -q -O - http://www.atomicorp.com/installers/atomic | sh
# yum upgrade mysql
# service mysqld restart
# mysql_upgrade -uadmin -p`cat /etc/psa/.psa.shadow`

Si se obtiene el siguiente mensaje, consulte este artículo:

# yum upgrade mysql
....
881 packages excluded due to repository protections
No Packages marked for Update

En el caso de sistemas Debian/Ubuntu, MySQL 5.5 debería estar disponible en los repositorios predeterminados:

# apt-get update
# apt-get upgrade mysql-server
# service mysql restart
# mysql_upgrade -uadmin -p`cat /etc/psa/.psa.shadow`

Notas

  • Durante este procedimiento también puede actualizarse el paquete PHP.
  • El repositorio YUM de Oracle MySQL sólo es soportado por Plesk Onyx.

Información adicional

Cómo actualizar Plesk MySQL de 5.1 a 5.5 en Windows

Cómo actualizar Plesk MySQL de 5.5 a 5.6/5.7 en Linux

¿Tiene más preguntas? Enviar una solicitud

3 Comentarios

  • 0
    Avatar
    Felixr

    Hola, 

    He realizado la actualización pero sigo viendo: 

    mysql.png MySQL localhost (predeterminado para MySQL) 3306 5.1.73

    ¿tengo que resetear el servidor?

     

  • 0
    Avatar
    Felixr

    [root@zmax ~]# rpm -qa | grep mysql

    plesk-php70-mysql-7.0.20-centos6.17060816.x86_64
    mysql-libs-5.1.73-8.el6_8.x86_64
    plesk-php55-mysql-5.5.38-centos6.17031317.x86_64
    plesk-php54-mysql-5.4.45-centos6.16032517.x86_64
    lsphp55-mysql56-debuginfo-5.5.17-1.el6.x86_64
    mysql-connector-odbc-5.1.5r1144-7.el6.x86_64
    plesk-mysql-server-17.5.3-cos6.build1705170317.16.x86_64
    php-mysql-5.3.3-49.el6.x86_64
    lsphp55-mysqlnd-5.5.38-2.el6.x86_64
    mysql-server-5.1.73-8.el6_8.x86_64
    mysql-5.1.73-8.el6_8.x86_64

  • 0
    Avatar
    Francisco Garcia

    Hola Felixr, como ves en tu listado de RPM, los que tienes concuerdan con la versión de MySQL mostrada, así que no has actualizado MySQL a la 5.5, y funciona como debería.

    Por lo que veo, no esta disponible para Centos 6, y tendrás que buscar un repositorio de terceros (EPEL, Atomic, ...).

    Eso sí, vigila que actualizas y haz un backup del servidor por si acaso! :)

Inicie sesión para dejar un comentario.